# getEnumValues abstract method

List<Field> getEnumValues()

Gets all enum values if this is an enum class.

Returns:

- List of enum fields with metadata
- Empty list for non-enum types

Example:

    enum Status { active, inactive }
    final values = Class.forType<Status>().getEnumValues();
    print(values.map((e) => e.name)); // ['active', 'inactive']

## Implementation

    List<Field> getEnumValues();